export declare const ZvCommonsGaussianSplattingView: import("../../commons/utils/typescript").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    basicEvents: {
        type: any;
        required: true;
    };
}>, {
    props: any;
    useBabylonScene: (basicOption: any, basicEvents: any) => {
        canvasRef: import("vue").Ref<any, any>;
        babylon: import("vue").Ref<{
            scene: import("@babylonjs/core").Scene;
            engine: import("@babylonjs/core").Engine;
            gs: import("@babylonjs/core").GaussianSplattingMesh;
            canvas: HTMLCanvasElement;
            option: any;
            events: any;
            createScene(): import("@babylonjs/core").Scene;
            setGSSize(optionMeshs: any): void;
            updateScene(sceneOption: any): void;
            createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
            updateCamera(cameraOption: any): void;
            run(): any;
            dispose(): void;
        }, {
            scene: import("@babylonjs/core").Scene;
            engine: import("@babylonjs/core").Engine;
            gs: import("@babylonjs/core").GaussianSplattingMesh;
            canvas: HTMLCanvasElement;
            option: any;
            events: any;
            createScene(): import("@babylonjs/core").Scene;
            setGSSize(optionMeshs: any): void;
            updateScene(sceneOption: any): void;
            createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
            updateCamera(cameraOption: any): void;
            run(): any;
            dispose(): void;
        }>;
        Babylon: {
            new (canvas: HTMLCanvasElement, option: any, events: any): {
                scene: import("@babylonjs/core").Scene;
                engine: import("@babylonjs/core").Engine;
                gs: import("@babylonjs/core").GaussianSplattingMesh;
                canvas: HTMLCanvasElement;
                option: any;
                events: any;
                createScene(): import("@babylonjs/core").Scene;
                setGSSize(optionMeshs: any): void;
                updateScene(sceneOption: any): void;
                createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
                updateCamera(cameraOption: any): void;
                run(): any;
                dispose(): void;
            };
        };
        babylonLoadingStatus: import("vue").Ref<boolean, boolean>;
    };
    babylon: import("vue").Ref<{
        scene: import("@babylonjs/core").Scene;
        engine: import("@babylonjs/core").Engine;
        gs: import("@babylonjs/core").GaussianSplattingMesh;
        canvas: HTMLCanvasElement;
        option: any;
        events: any;
        createScene(): import("@babylonjs/core").Scene;
        setGSSize(optionMeshs: any): void;
        updateScene(sceneOption: any): void;
        createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
        updateCamera(cameraOption: any): void;
        run(): any;
        dispose(): void;
    }, {
        scene: import("@babylonjs/core").Scene;
        engine: import("@babylonjs/core").Engine;
        gs: import("@babylonjs/core").GaussianSplattingMesh;
        canvas: HTMLCanvasElement;
        option: any;
        events: any;
        createScene(): import("@babylonjs/core").Scene;
        setGSSize(optionMeshs: any): void;
        updateScene(sceneOption: any): void;
        createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
        updateCamera(cameraOption: any): void;
        run(): any;
        dispose(): void;
    }>;
    Babylon: {
        new (canvas: HTMLCanvasElement, option: any, events: any): {
            scene: import("@babylonjs/core").Scene;
            engine: import("@babylonjs/core").Engine;
            gs: import("@babylonjs/core").GaussianSplattingMesh;
            canvas: HTMLCanvasElement;
            option: any;
            events: any;
            createScene(): import("@babylonjs/core").Scene;
            setGSSize(optionMeshs: any): void;
            updateScene(sceneOption: any): void;
            createCamera(cameraOption: any, scene: import("@babylonjs/core").Scene): void;
            updateCamera(cameraOption: any): void;
            run(): any;
            dispose(): void;
        };
    };
    canvasRef: import("vue").Ref<any, any>;
    babylonLoadingStatus: import("vue").Ref<boolean, boolean>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    basicEvents: {
        type: any;
        required: true;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>> & Record<string, any>;
export default ZvCommonsGaussianSplattingView;
